/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH PLAYER/CONVERTER SOURCE CODE. *
 * USE, DISTRIBUTION AND REPRODUCTION OF THIS SOURCE IS RESTRICTED  *
 * BY DISTRIBUTION TERMS THAT SHOULD BE INCLUDED WITH THIS SOURCE.  *
 * PLEASE READ THESE TERMS BEFORE USING OR DISTRIBUTING.            *
 *                                                                  *
 * THE OggSQUISH SOURCE CODE IS (C) COPYRIGHT 1994-1996             *
 * XIPHOPHORUS                                                      *
 *                                                                  *
 ********************************************************************

  $Id: appio.h,v 1.3 1997/12/27 05:39:58 ogg Exp $
  $Date: 1997/12/27 05:39:58 $
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  function: Application I/O includes

 ********************************************************************/

#ifndef _APPIO_H
#define _APPIO_H

extern int query_seekable(FILE *f);
extern FILE *cached_open(char *filename,char *mode);
extern void cached_close(FILE *f);
extern void cached_close_flush(FILE *f);


extern void reporterror(char *s);
extern void flatreport(char *s);
extern void report(char *s);
extern long blocking_read(char *buffer, long size, long num, FILE *inf);
extern long blocking_write(char *buffer, long size,long num,FILE *outf);
extern long fd_blocking_write(char *buffer, long num, int outf);
extern void static_buffer_read(FILE *f,long bytes);
extern void static_buffer_shift(long bytes);
extern void static_buffer_verify(long bytes);

extern int OGG_verbose;
extern long static_buffer_size;
extern long static_buffer_alloced;
extern char *static_buffer;

#endif  /* _APPIO_H */
