/********************************************************************
 *                                                                  *
 * THIS FILE IS PART OF THE OggSQUISH SOFTWARE CODEC SOURCE CODE.   *
 *                                                                  *
 ********************************************************************

  file: fft.h
  function: Fast Fourier and related routine prototypes
  author: Monty <xiphmont@mit.edu>
  modifications by: Monty
  last modification date: Jul 01 1996

 ********************************************************************/

extern void __ogg_fdcosqf(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdcosqb(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdrfftf(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdrfftb(int n, float *x, float *wsave, int *ifac);
extern void __ogg_fdcosqi(int n, float *wsave, int *ifac);
extern void __ogg_fdrffti(int n, float *wsave, int *ifac);
